## Release notes:

* `unicorn` replaced with `puma`
* merge request cached diff will be truncated

### 1. stop server

    sudo service gitlab stop

### 2. get latest code

```

sudo -u git -H git fetch
sudo -u git -H git checkout 5-1-stable

```

### 3. Install libs, migrations etc

```
sudo -u git -H cp config/puma.rb.example config/puma.rb

# Mysql users:
sudo -u git -H bundle install --without development test postgres --deployment

# Postgres users:
sudo -u git -H bundle install --without development test mysql --deployment

sudo -u git -H bundle exec rake db:migrate RAILS_ENV=production
sudo -u git -H bundle exec rake migrate_merge_requests RAILS_ENV=production

```

### 4. Update init.d script with a new one

```bash
# init.d
sudo rm /etc/init.d/gitlab
sudo curl --output /etc/init.d/gitlab https://raw.github.com/gitlabhq/gitlab-recipes/5-1-stable/init.d/gitlab
sudo chmod +x /etc/init.d/gitlab
```

### 5. Start application

    sudo service gitlab start
